NamedPipeSocketFactory.RandomAccessFileOutputStream
Date: 2016-03-08

com.mysql.jdbc

## Class NamedPipeSocketFactory.RandomAccessFileOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - com.mysql.jdbc.NamedPipeSocketFactory.RandomAccessFileOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable
  Enclosing class:
    NamedPipeSocketFactory

       class NamedPipeSocketFactory.RandomAccessFileOutputStream
      extends java.io.OutputStream

  Enables OutputStream-type functionality for a RandomAccessFile

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.io.RandomAccessFile` | `raFile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedPipeSocketFactory.RandomAccessFileOutputStream(java.io.RandomAccessFile file)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.OutputStream

      `flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### raFile

          java.io.RandomAccessFile raFile

  - ### Constructor Detail

    - #### NamedPipeSocketFactory.RandomAccessFileOutputStream

          NamedPipeSocketFactory.RandomAccessFileOutputStream(java.io.RandomAccessFile file)

  - ### Method Detail

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`
      See Also:
        `OutputStream.close()`

    - #### write

          public void write(byte[] b)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`
      See Also:
        `OutputStream.write(byte[])`

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`
      See Also:
        `OutputStream.write(byte[], int, int)`

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException`
      See Also:
        `OutputStream.write(int)`